Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate
[Groovy] Class GrailsHibernateTransactionManager

    java.lang.Object
      org.springframework.orm.hibernate3.HibernateTransactionManager
          org.codehaus.groovy.grails.orm.hibernate.GrailsHibernateTransactionManager

    class GrailsHibernateTransactionManager
    extends HibernateTransactionManager

Extends the standard class to always set the flush mode to manual when in a read-only transaction.

Authors:
  Burt Beckwith

Method Summary
`protected void` | `doBegin(java.lang.Object transaction, TransactionDefinition definition)`

Method Detail

### doBegin

    @Override
    protected void doBegin(java.lang.Object transaction, TransactionDefinition definition)

Groovy Documentation